Page MenuHomePhabricator

Click target for dropdown on ComboBoxInputWidget is tiny in Apex
Closed, ResolvedPublic

Description

I can only click on the triangle itself, not the space around it:

Event Timeline

Esanders created this task.Nov 15 2016, 5:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 15 2016, 5:25 PM

Change 480306 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] Apex theme: Align functionality of ComboBoxInputWidget with WikimediaUI theme

https://gerrit.wikimedia.org/r/480306

With patch in

Volker_E moved this task from Backlog to Reviewing on the OOUI board.Dec 18 2018, 2:55 AM

I think there's an argument for not using the gradient styling on the button. DropdownWidgets in Apex have hover styling, are clickable, but have no shading:

wmuiapex

Unlike in WMUI where dropdowns are styled the same as buttons (light grey background). Given that this inconsistency already exists between the skins, I think it's best to make the widget consistent within the skin.

From gerrit:

James F:
This is a pretty major deviation from the design concept of Apex. The whole point is that this is understated and lightweight.

Volker:
Lightweight? With those clumsy buttons? *tongueincheek*
The SelectFileWidget features a framed button. ComboboxInputWidget is featuring a framed button as it needs to separate the interactive area from the input – they are both handling clicks with different results, so it makes sense to visually separate them.
Do I understand you correctly that a frameless button would be the expected outcome for you?

James F:
Yes

they are both handling clicks with different results

The sounds like a reasonable argument for visual separation though. In general I'm not going to have a strong opinion about Apex changes :)

Volker_E added a comment.EditedDec 18 2018, 6:49 PM

Exactly the last comment. My take here was, this (emphasized in red rectangular)


is the dropdown part. I don't care too much any direction, let's just get to a decision. Especially as the combination Apex/ComboBoxInputWidget is very rare.

Volker_E moved this task from Reviewing to OOUI-0.30.0 on the OOUI board.Dec 19 2018, 12:30 AM
Volker_E edited projects, added OOUI (OOUI-0.30.0); removed OOUI.

Change 480306 merged by jenkins-bot:
[oojs/ui@master] Apex theme: Align functionality of ComboBoxInputWidget with WikimediaUI theme

https://gerrit.wikimedia.org/r/480306

Change 481239 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Update OOUI to v0.30.0

https://gerrit.wikimedia.org/r/481239

Change 481239 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.30.0

https://gerrit.wikimedia.org/r/481239

Jdforrester-WMF closed this task as Resolved.Jan 1 2019, 4:03 PM
Jdforrester-WMF assigned this task to Volker_E.